libvpx4-32bit-1.6.1-2.2.x86_64.rpm


Advertisement

Description

libvpx4-32bit - VP8/VP9 codec library

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name libvpx4-32bit
Package version 1.6.1
Package release 2.2
Package architecture x86_64
Package type rpm
Installed size 1.62 MB
Download size 608.69 KB
Official Mirror widehat.opensuse.org
WebM is an open, royalty-free, media file format designed for the web.
WebM defines the file container structure, video and audio formats.
WebM files consist of video streams compressed with the VP8 video codec
and audio streams compressed with the Vorbis audio codec.
The WebM file structure is based on the Matroska container.

Alternatives

Package Version Architecture Repository
libvpx4-32bit-1.6.1-93.1.x86_64.rpm 1.6.1 x86_64 Multimedia Libs
libvpx4-32bit - - -

Requires

Name Value
libc.so.6(GLIBC_2.11) -
libgcc_s.so.1 -
libgcc_s.so.1(GLIBC_2.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -

Provides

Name Value
libvpx.so.4 -
libvpx4-32bit = 1.6.1-2.2
libvpx4-32bit(x86-32) = 1.6.1-2.2

Download

Type URL
Binary Package libvpx4-32bit-1.6.1-2.2.x86_64.rpm
Source Package libvpx-1_6-1.6.1-2.2.src.rpm

Install Howto

Install libvpx4-32bit rpm package:

# zypper install libvpx4-32bit

Files

Path
/usr/lib/libvpx.so.4
/usr/lib/libvpx.so.4.1
/usr/lib/libvpx.so.4.1.0

Changelog

2018-07-17 - tchvatal@suse.com
- Use gcc7 to workaround bug when building on aarch64
2018-06-14 - tchvatal@suse.com
- Remove the tools
- Provide and conflict with libvpx-devel
2018-06-14 - tchvatal@suse.com
- Move to libvpx-1_6, taken from Leap 15 for Leap 42.3
2018-01-18 - Adrian Schröter <adrian@suse.de>
- cleanup traces for testing, we don't have the >400MB test data here
2018-01-18 - Adrian Schröter <adrian@suse.de>
- Fix OOB caused by odd frame width with patch from android
Adding patch CVE-2017-13194.patch (CVE-2017-13194)
- this changelog entry also contains the new scheme with full name
and "umlaut" to test which tools may break with it in our distro.
Please track problems here: https://github.com/openSUSE/obs-build/pull/214
2017-08-31 - adrian@suse.de
- limit maximum size to 8K Fulldome resolution to avoid
DoS attacks. CVE-2017-0641 boo#1056539
2017-03-03 - tchvatal@suse.com
- Version update to 1.6.1:
* Improvements on the VP9 speed of encoding and decoding
* Various fixes found by fuzzing
2017-01-01 - jengelh@inai.de
- Summary updates
2016-09-07 - tchvatal@suse.com
- Ensure the enable vp8 vp9 postproc and multithread are always on
- Enable verbose build
- Add switches to be able to build chromium:
* --enable-experimental --enable-spatial-svc
2016-08-12 - jengelh@inai.de
- Rename unfitting macro name "soname"; there is no SONAME here,
just the version.

See Also

Package Description
libvulkan1-1.0.3.g5493-4.3.1.x86_64.rpm The Vulkan 3D graphics and compute API
libvulkan1-32bit-1.0.3.g5493-4.3.1.x86_64.rpm The Vulkan 3D graphics and compute API
libwavpack1-32bit-4.60.99-9.3.1.x86_64.rpm Free Hybrid Lossless Audio Compression Format
libwavpack1-4.60.99-9.3.1.x86_64.rpm Free Hybrid Lossless Audio Compression Format
libwayland-egl-devel-17.0.5-176.1.x86_64.rpm Development files for libwayland-egl1
libwayland-egl1-17.0.5-176.1.x86_64.rpm Additional egl functions for wayland
libwayland-egl1-32bit-17.0.5-176.1.x86_64.rpm Additional egl functions for wayland
libwbclient-devel-4.6.13+git.72.2a684235f41-12.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.6.14+git.150.1540e575faf-15.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.6.14+git.157.c2d53c2b191-18.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.6.16+git.124.aee309c5c18-21.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.6.7+git.38.90b2cdb4f22-3.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.6.7+git.51.327af8d0a11-6.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.6.9+git.59.c2cff9cea4c-9.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient0-32bit-4.6.13+git.72.2a684235f41-12.1.x86_64.rpm Samba libwbclient Library
Advertisement
Advertisement